@import "utils/mixins.less";

:root {
    --fixed-ratio: 1;
}

@font-face {
    font-family: 'Roobert-Medium';
    src: url('/modules/my-truffl/fonts/Roobert-Medium.eot');
    src: url('/modules/my-truffl/fonts/Roobert-Medium.eot?#iefix') format('embedded-opentype'),
        url('/modules/my-truffl/fonts/Roobert-Medium.woff2') format('woff2'),
        url('/modules/my-truffl/fonts/Roobert-Medium.woff') format('woff'),
        url('/modules/my-truffl/fonts/Roobert-Medium.ttf') format('truetype'),
        url('/modules/my-truffl/fonts/Roobert-Medium.svg#Roobert-Medium') format('svg');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Roobert-SemiBold';
    src: url('/modules/my-truffl/fonts/Roobert-SemiBold.eot');
    src: url('/modules/my-truffl/fonts/Roobert-SemiBold.eot?#iefix') format('embedded-opentype'),
        url('/modules/my-truffl/fonts/Roobert-SemiBold.woff2') format('woff2'),
        url('/modules/my-truffl/fonts/Roobert-SemiBold.woff') format('woff'),
        url('/modules/my-truffl/fonts/Roobert-SemiBold.ttf') format('truetype'),
        url('/modules/my-truffl/fonts/Roobert-SemiBold.svg#Roobert-SemiBold') format('svg');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Roobert';
    src: url('/modules/my-truffl/fonts/Roobert-Regular.eot');
    src: url('/modules/my-truffl/fonts/Roobert-Regular.eot?#iefix') format('embedded-opentype'),
        url('/modules/my-truffl/fonts/Roobert-Regular.woff2') format('woff2'),
        url('/modules/my-truffl/fonts/Roobert-Regular.woff') format('woff'),
        url('/modules/my-truffl/fonts/Roobert-Regular.ttf') format('truetype'),
        url('/modules/my-truffl/fonts/Roobert-Regular.svg#Roobert-Regular') format('svg');
    font-weight: normal;
    font-style: normal;
}




html,
body {
    margin: 0;
    padding: 0;
    border: 0;
}

button,
input,
textarea {
    box-sizing: border-box;
}

a{
    outline: 0 none;
}

body {
    font-family: "Roobert";
    color: #fff;
    /* #000 */
    background: #000;
    width: 100vw;
    overflow-x: hidden;
}

html,
body,
.apos-refreshable {
    max-width: 100vw;
    overflow-x: hidden;
}

body.hide-page-overflow {
    overflow: hidden;
    -ms-overflow-style: none;
    scrollbar-width: none;
    max-height: 100vh;

    ::-webkit-scrollbar {
        width: 0px;
        background: transparent;
        /* make scrollbar t
        ransparent */
    }
}

// entry animation
body {
    // opacity: 0 !important;

    &.animated {
        transition: all 0.9s ease-in-out;
        opacity: 1 !important;
    }

    &.transparentize {
        transition: all 0.9s ease-in-out;
        // transform: translateX(-100%);

        .apos-refreshable {
            div:not(.menu-v2) {
                opacity: 0 !important;
                transition: all 0.9s ease-in-out;
            }
        }
    }

    &.sideways {
        transition: all 0.9s ease-in-out;
        transform: translateX(-100%);
    }
}

.page-intro,
.page-outro {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 9500;

    .layers {
        position: relative;
        width: 100%;
        height: 100%;
    }

    .layer {
        position: absolute;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        background: @transitionBg;
        /* like menu */
        // background: #000;

        &.white {
            background: #fff;
        }

        &.gold {
            background: @trufflGold;
        }
    }

}

.page-intro {
    &.hide{
        display: none;
    }
    &.play {
        transition: 0.9s all ease-in-out;
        transform: translateX(100%);

        &.slow{
            transition-delay: 1.0s;
        }
    }
}

.page-outro {

    opacity: 0;
    visibility: hidden;

    .layer {
        transform: translateX(-100%);
    }

    &.play {
        opacity: 1;
        visibility: visible;

        .layer {
            transition: 0.8s all ease-in-out;
            transform: translateX(0%);

            &:nth-of-type(1) {
                transition-delay: 0ms;
            }

            &:nth-of-type(2) {
                transition-delay: 30ms;
            }

            &:nth-of-type(3) {
                transition-delay: 50ms;
            }
        }
    }
}


/* in home page */
.hello {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 9600;
    opacity: 0;
    visibility: hidden;

    @bubbleSize : 10vw;
    @bubbleAnimLen : 1.5s;
    

    @keyframes bubbleOne{
        0%{
            transform: translateX(-20vw) translateY(calc(50vh + @bubbleSize));
        }
        30%, 
        80%{
            transform: translateX(3vw) translateY(-3vw);
        }
        100%{
            transform: translateX(40vw) translateY(-100vh);
        }
    }

    @keyframes bubbleTwo{
        0%{
            transform: translateX(50vw) translateY(calc(50vh + @bubbleSize));
        }
        30%, 
        80%{
            transform: translateX(6vw) translateY(3vw);
        }
        100%{
            transform: translateX(-100vw) translateY(-100vh);
        }
    }

    @keyframes bubbleMessage{
        0%{
            transform: translateX(-20vw) translateY(calc(50vh + @bubbleSize));
            opacity: 1;
        }
        30%, 
        80%{
            transform: translateX(0) translateY(0);
            opacity: 1;
        }
        90%,
        100%{
            transform: translateX(0) translateY(0);
            opacity: 0;
            // transform: translateX(10vw) translateY(-100vh);
        }
    }

    &.play {

        opacity: 1;
        visibility: visible;

        .bubble {
            // transition: 0.7s all;
            &.one{
                // transform: translateX(3vw) translateY(-3vw);
                animation: bubbleOne @bubbleAnimLen forwards ease-in-out;
            }
            &.two{
                // transform: translateX(6vw) translateY(3vw);
                animation: bubbleTwo @bubbleAnimLen forwards ease-in-out;
            }
        }
        .message{
            // transform: translateX(0) translateY(0);
            animation: bubbleMessage @bubbleAnimLen forwards ease-in-out;
        }
    }

    .bubble {

        position: absolute;
        width: @bubbleSize;
        height: @bubbleSize;
        top: calc(50vh - @bubbleSize / 2);
        left: calc(50vw - @bubbleSize / 2);
        translate: all 0s;

        &.one {
            .truffl-bg{
                transform: scale(0.8);
            }
        }

        &.two {
           .truffl-bg{
                transform: scale(0.9);
           }
        }

    }

    .truffl-bg {
        background-size: @bubbleSize;
        background-repeat: no-repeat;
        content: "";
        display: block;
        width: @bubbleSize;
        height: @bubbleSize;
    }

    .message {
        font-size: 6vw;
        color: @trufflGold;
        .fontBold();
        position: absolute;
        top: calc(50vh - 1em / 2);
        text-align: center;
        width: 100vw;
        transform: translateX(-10vw) translateY(100vh);
    }
}

.loading-spinner{

    opacity: 0;
    display: flex;
    width: 100vw;
    height: 100vh;
    justify-content: center;
    align-items: center;
    z-index: -1;
    position: fixed;

    &.visible{
        z-index: 9951;
        opacity: 1;
        transition: opacity 0.3s;
    }

    @keyframes pulsing {
        0%, 
        10%{
            transform: translateY(0%);
        }
        50%{
            transform: translateY(-20%);
        }
        90%, 
        100%{
            transform: translateY(0%);
        }
    }
    
    @spinnerSize : 10vw;
    @smallSpinnerSize : 7vw;

    .truffles{
        position: relative;
        width: @spinnerSize;
        height: @spinnerSize;
    }

    .truffl-bg {
        background-size: @spinnerSize;
        background-repeat: no-repeat;
        content: "";
        display: block;
        width: @spinnerSize;
        height: @spinnerSize;
        position: absolute;
        animation: pulsing 2s infinite linear;

        // bigger
        &.one{
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
        }

        &.two{
            background-size: @smallSpinnerSize;
            width: @smallSpinnerSize;
            height: @smallSpinnerSize;
            top: calc(@spinnerSize / 2);
            left: calc(@spinnerSize * 0.75);
        }
    }
}

body.force-hide-intro{
    .page-curtains{
        display: none !important;
    }
    .loading-spinner{
        display: none !important;
    }
}

.page-curtains{

    opacity: 0;
    display: flex;
    width: 100vw;
    height: 100vh;
    z-index: -1;
    position: fixed;
   
    &.visible{
        z-index: 9950;
        opacity: 1;
    }

    &.open{
        .left, .right{
            transition: transform 0.8s ease-out;
        }

        .left{
            transform: translateX(-100%);
        }
        .right{
            transform: translateX(100%);
        }
    }

    &.close{
       
        .left, .right{
            transition: transform 0.8s ease-out;
        }

        .left{
            transform: translateX(0%);
        }
        .right{
            transform: translateX(0%);
        }
    }

    .left, .right{
        width: 50%;
        height: 100%;
        background: @transitionBg;
    }


    .left{
        transform: translateX(0%);
    }
    .right{
        transform: translateX(0%);
    }

    

}

.bubbly-canvas-wrapper{
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: @transitionBg;
    z-index: 9550;
    
    @keyframes  spinning{
        0%{
            transform: rotate(0deg);
        }
        100%{
            transform: rotate(359deg);
        }
    }

    

    .preloader{
        @preloaderSize : 5vw;

        @keyframes yAxis {
            50% {
              animation-timing-function: cubic-bezier(0.02, 0.01, 0.21, 1);
              transform: translateY(-@preloaderSize);
            }
          }
          
          @keyframes xAxis {
            50% {
              animation-timing-function: cubic-bezier(0.3, 0.27, 0.07, 1.64);
              transform: translateX(@preloaderSize);
            }
          }

        display: none;
        position: absolute;
        z-index: 9700;
        left: calc(50vw - @preloaderSize /2);
        top: calc(50vh - @preloaderSize /2);
        animation: xAxis 1.5s infinite cubic-bezier(0.02, 0.01, 0.21, 1);
        
        .truffl-bg {
            background-size: @preloaderSize;
            background-repeat: no-repeat;
            content: "";
            display: block;
            width: @preloaderSize;
            height: @preloaderSize;
            // animation: 2s spinning linear infinite ;
            animation: yAxis 1.5s infinite cubic-bezier(0.3, 0.27, 0.07, 1.64);
        }
    }
}

body.intro-complete{
    .hello.play{
        opacity: 0;
        visibility: hidden;
    }
}


.page-container {
    width: 100vw;
}

.customWidgetPaddings();
@media screen and (max-width: 800px){
    .customWidgetPaddingsMobile();
}


body:not(.loaded) {
    .side-nav {
        transition: all 0s;
    }
}

.side-nav {
    .page-container {
        margin-left: @nav-width;
        width: .calc-vw(1)[@return];
    }
}


article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
main,
menu,
nav,
section,
summary {
    display: block;
}

a,
button {
    cursor: pointer;
}

a.external{
    div, img{
        cursor: pointer;
    }
}

body.stop-animations {
    img.clone {
        opacity: 0;
        visibility: hidden;
    }

    .hide-with-caps {
        display: none !important;
    }
}

.container {
    width: .calc-vw(1)[@return];
}

.container .container {
    width: 100%;
}

.apos-ui .apos-admin-bar {
    left: inherit !important;
    right: 20px !important;
}

.apos-ui .apos-context-menu-container {
    right: 20px !important;
    left: inherit !important;
}

.apos-ui{
    z-index: 9999 !important;
    * {
        color: #000;
    }
}

.apos-image-widget-image-title {
    display: none;
}


.menu-v2 {

    @nav-bg : #1d1d1d;

    position: fixed;
    top: 0;
    left: 0;
    z-index: 90;

    .navBlockWidth(@scale) {
        width: calc((100vw - @nav-width) * @scale);
    }

    .eq-height {
        height: 33.333vh;
    }

    &.menu-expanded {
        @media screen and (min-width: 800.1px) {

            .navigation {
                .nav-logo {
                    .logo {
                        transform: rotate(-90deg);
                    }
                }
            }

            .menu-pages {
                .navBlockWidth(0.675); // should match .menu-inner-pages
            }

            .menu-contact {
                transform: translateX(0%);
                transition: transform .8s .2s;
            }

            .nav-email {
                a {
                    opacity: 0;
                }
            }

        }
    }

    .navigation {

        position: fixed;
        top: 0;
        left: 0;
        width: @nav-width;
        transition: width .8s;
        height: 100vh;
        height: calc(var(--vh, 1vh) * 100);
        background-color: @nav-bg;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: center;
        z-index: 95;



        .nav-logo {

            position: relative;
            width: 33px;
            display: flex;
            align-items: center;
          

            .logo {

                position: absolute;
                top: 20px;
                left: 0;
                transition: transform .7s;
                transform: rotate(0deg);
                transform-origin: 50% 25%;

                .logo-desktop {
                    width: 33px;
                    height: auto;
                    display: block;
                }

                .logo-mobile {
                    height: 30px;
                    width: auto;
                    display: none;
                }

            }
        }

        .nav-burger {

            @lineHeight: 2px; // 2
            @lineMargin: 6px; // 6
            @burgerWidth: 26px;

            display: flex;
            align-items: center;

            .burger {
                width: @burgerWidth;
                height: calc(@lineHeight*3 + @lineMargin*2);
                cursor: pointer;
                position: relative;
                transition: all .3s;

                &:not(.busy):hover {
                    .burger-line {
                        &:nth-of-type(1) {
                            transform: translateY(-@lineHeight);
                        }

                        &:nth-of-type(3) {
                            transform: translateY(@lineHeight);
                        }
                    }
                }

                &.active {

                    transform: translateX(@lineMargin / 2);

                    .burger-line {

                        &:nth-of-type(1) {
                            transform: rotate(45deg) translateX(@lineHeight);
                            // transform: rotate(45deg);
                        }

                        &:nth-of-type(2) {
                            opacity: 0;
                            transform: scale(0.25) translateX(@lineHeight);
                        }

                        &:nth-of-type(3) {
                            transform: rotate(-45deg) translateY(-@lineHeight) translateX(@lineHeight);
                            top: calc(2*@lineHeight + @lineMargin*3);
                            // transform: rotate(-45deg);

                        }
                    }
                }
            }

            .burger-line {
                position: absolute;
                width: @burgerWidth;
                height: @lineHeight;
                background-color: #fff;
                opacity: 1;
                transition: all .3s;

                &:nth-of-type(1) {
                    top: 0px;
                    transform-origin: 0% 0%;
                }

                &:nth-of-type(2) {
                    top: calc(@lineHeight + @lineMargin);
                    transform-origin: 50% 0%;
                }

                &:nth-of-type(3) {
                    top: calc(2*@lineHeight + @lineMargin*2);
                    transform-origin: 0% 0%;
                }
            }
        }

        .nav-email {

            width: 33px;
            display: flex;
            align-items: flex-end;


            &>div {
                width: 100%;
                position: relative;
                height: 100%;
            }

            a {
                transform: translateX(-50%) translateY(-50%) rotate(90deg);
                color: #959697 !important;
                font-size: 12px;
                display: block;
                text-align: right;
                text-decoration: none;
                opacity: 1;
                transition: opacity .7s;

                // FOR rotation
                // transform: rotate(-90deg) translateX(-100%) translateY(-50%);
                transform: rotate(90deg) translateX(0%) translateY(-50%);
                position: absolute;
                top: 50%;
                left: 50%;
                transform-origin: 0 0;
            }
        }
    }

    .menu-pages {

        background-color: @nav-bg;
        overflow: hidden;
        width: 0;
        transition: width .8s;
        left: @nav-width;
        z-index: 91;
        position: fixed;
        top: 0;

        &,
        .menu-pages-inner {
            height: 100vh;
        }

        .link-with-underline {

            font-size: 6vw;
            margin-bottom: 0.1em;
            line-height: 1.15em;


            .fontBold();

            .link-text {
                color: #fff;
            }

            .underline {
                background-color: #fff;
                top: 1.1em;
                height: 0.05em;
            }

            &:hover {
                .plus-and-minus:not(.open) {
                    .vertical {
                        transition: all 0.5s ease-in-out;
                        transform: rotate(0deg);
                    }

                    .horizontal {
                        transition: all 0.5s ease-in-out;
                        transform: rotate(0deg);
                    }
                }
            }

          

            .plus-and-minus {

                position: relative;
                width: 0.5em;
                height: 0.5em;
                margin-left: 0.2em;
                margin-top: 0.3em;

                &.open {
                    .vertical {
                        transition: all 0.5s ease-in-out;
                        transform: rotate(90deg);
                    }

                    .horizontal {
                        transition: all 0.5s ease-in-out;
                        transform: rotate(90deg);
                        opacity: 0;
                    }
                }

                .horizontal {
                    position: absolute;
                    background-color: #fff;
                    width: 30px;
                    height: 5px;
                    left: 50%;
                    margin-left: -15px;
                    top: 50%;
                    margin-top: -2.5px;
                    transition: all 0.5s ease-in-out;
                    transform: rotate(-90deg);
                }

                .vertical {
                    position: absolute;
                    background-color: #fff;
                    width: 5px;
                    height: 30px;
                    left: 50%;
                    margin-left: -2.5px;
                    top: 50%;
                    margin-top: -15px;
                    transition: all 0.5s ease-in-out;
                    transform: rotate(-90deg);
                    opacity: 1;
                }


            }
        }

        .menu-pages-inner {
            .navBlockWidth(0.675); // should match .menu-expanded .menu-pages

            position: relative;
            display: flex;
            align-items: center;
            padding-left: 10.5vw;

            .menu-page-link,
            .menu-page-group {
                margin-bottom: 1.5vw;
            }

            .menu-page-group>.menu-page-link {
                margin-bottom: 1vw;
            }

            .menu-page-group {


                &.expand {
                    .submenu {}
                }

                .expand-submenu {
                    display: flex;
                    align-items: center;
                    cursor: pointer;
                }

                .submenu {
                    height: 0;
                    overflow: hidden;
                    position: relative;

                    &:before {
                        position: absolute;
                        content: "";
                        top: 0;
                        left: 0;
                        width: 1px;
                        height: 100%;
                        transition: 0.5s all;
                        background: #fff;
                    }

                    &.hide-vertical-line{
                        &:before{
                            opacity: 0;
                            visibility: hidden;
                        }
                    }

                    .link-with-underline {
                        display: inline-block;
                        margin-left: 3vw;
                        font-size: 3vw;

                        .text-link {}
                    }

                }
            }

            
        }

        @media screen and (min-width: 1024.1px) {

            @aspectRatioFontSize : calc(var(--fixed-ratio) * 6vw);

            .menu-pages-inner {
                .link-with-underline {
                    font-size: @aspectRatioFontSize;
                }

                .menu-page-group {
                    .submenu {
                        .link-with-underline {
                            font-size: calc(@aspectRatioFontSize / 2);
                        }
                    }
                }
            }
        }
    }

    .menu-contact {

        .navBlockWidth(0.325);
        position: fixed;
        top: 0;
        right: 0;
        height: 100vh;
        background-color: #000;
        transform: translateX(100%);
        transition: transform 0.8s;
        z-index: 91;
        display: flex;
        justify-content: center;
        align-items: center;

        .stay-updated {
            width: 67%;
            height: 40vw;
            min-height: 60vh;
            display: flex;
            flex-direction: column;
            justify-content: space-between;

            &.show-thank-you {
                .thank-you-message {
                    display: block;
                }

                .stay-updated-form {
                    display: none;
                }
            }
        }

        .thank-you-message {
            display: none;
            font-size: 1.4vw;
            line-height: 1.2;
            color: #fff;
            width: 100%;
            margin: 0 auto;
            font-family: 'Roobert-Medium';
        }

        .su-title {
            font-size: 2vw;
            width: 80%;
            line-height: 1.1;
            color: #fff;
            .fontBold();
        }

        .form-input {

            &:not(:last-of-type) {
                margin-bottom: 2vw;
            }

            input {
                font-size: 1.2vw;
                line-height: 1;
                background: transparent;
                border: 0 none;
                border-bottom: 1px solid #fff;
                color: #fff;
                width: 100%;
                padding: 0.5em 0;
                outline: 0 none;

                @include .placeholder {
                    color: #fff;
                    opacity: 1;
                }
            }

            button {
                margin-top: 3vw;
                border: 1px solid #fff;
                color: #fff;
                outline: 0 none;
                background: transparent;
                font-size: 1.2vw;
                line-height: 3;
                width: 100%;
            }

            &.invalid {
                input {
                    color: @errorColor;

                    @include .placeholder {
                        color: @errorColor;
                    }
                }
            }
        }
    }


}


.white-link {
    color: #fff;
    text-decoration: none;

    &:active {
        color: #fff;
    }
}

.footer {

    background-color: #121212;
    color: #646464;
    padding: 5vw;
    display: flex;
    justify-content: space-between;
    flex-wrap: nowrap;

    .footer-left,
    .footer-right {
        width: 50%;
    }

    .footer-left {
        .stretched {
            height: 100%;
            display: flex;
            justify-content: space-between;
            flex-direction: column;
        }
    }

    .footer-logo {
        width: 8.4vw;
        // height: auto;
        margin-bottom: 4.20vw;
    }

    .company-info {
        font-size: 0.8vw;
        line-height: 1.57;
        letter-spacing: 0.04px;

        a {
            color: #646464 !important;
            text-decoration: none !important;
        }
    }


    .footer-links {

        font-size: 1.2vw;


        .apos-area-widget-wrapper,
        .apos-area-widget {
            display: inline-block;
        }

        .push-right {

            .apos-area,
            .apos-area-widgets {
                display: flex;
                flex-direction: column;
                align-items: flex-end;
            }

            .apos-ui .apos-buttons {
                left: inherit;
                right: 100%;
            }

            .apos-area-widget-wrapper>.apos-ui>.apos-area-controls {
                position: absolute;
            }
        }

        a {
            color: #646464 !important;
            line-height: 1.5;
            text-decoration: none;

            &:hover {
                text-decoration: #646464;
            }
        }

        .link-with-underline {

            display: inline-block;

            &:hover {
                text-decoration: none;
            }

            .link-text {
                font-family: "Roobert";
                color: #646464;
            }

            .underline {
                background-color: #646464;
            }
        }

        
    }

    .subscribe {
        margin-top: 3vw;
        display: flex;
        flex-direction: row;
        justify-content: flex-end;

        &.show-thank-you{
            form{
                display: none;
            }
            .thank-you-message{
                display: block;
            }
        }

        form{
            display: flex;
            justify-content: space-between;
            flex-wrap: nowrap;
           
            input{
                @include .placeholder {
                    opacity: 1;
                }
            }

            .error-container.invalid{
                input {
                    color: @errorColor;
                    @include .placeholder {
                        color: @errorColor;
                    }
                }
            }
           
        }
        .thank-you-message{
            display: none;
        }


    }
}

.newsletters {

    background-color: #000;
    color: #646464;
    padding: 5vw;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    font-size: 0.9vw;
    line-height: 1.33;
    letter-spacing: 0.05px;

    .email a {
        font-size: 0.9vw;
        line-height: 2em;
        color: #646464 !important;
        text-decoration: none;
    }
}

.subscribe {
    .subscriber-email {
        background: transparent;
        border: 0 none;
        border-bottom: 1px solid #646464;
        color: #646464;
        min-width: 16vw;
        line-height: 2em;
        font-size: 0.9vw;
        margin-right: 2vw;

        @include placeholder {
            opacity: 1;
            color: #646464;
        }

        ;
    }

    .subscribe-button {
        font-size: 0.9vw;
        background: transparent;
        border: 1px solid #646464;
        padding: 0.5vw 2vw;
        color: #646464;
    }


}


.link-with-underline {

    position: relative;
    text-decoration: none !important;
    font-size: 1.2vw;
    line-height: 1.4;
    display: inline-block;
    margin-bottom: 0.5em;

    &.white {
        .link-text {
            color: #fff;
        }

        .underline {
            background-color: #fff;
        }

    }

    .link-text {
        font-family: "Roobert-SemiBold";
        letter-spacing: -0.1px;
        color: #000;
    }

    .underline {
        position: absolute;
        left: 0;
        top: 1.75em;
        width: 100%;
        height: 0.1em;
        background-color: #000;
    }

    &.cover {
        width: 100%;
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    &.animated:not(.disabled) {
        .link-text {
            transition: transform .3s .05s ease-in;
        }

        .underline {
            width: 0%;
            transition: width .3s;
        }

        &:hover,
        &.hover {
            .link-text {
                transform: translateY(-0.2em);
                transition: transform .2s ease-in;
            }

            .underline {
                width: 100%;
                transition: width 0.3s 0.1s;
            }
        }
    }

    &.disabled {}
}


@floating-input-font-size: 2.4vw;
@floating-smaller-font-size: @floating-input-font-size * 0.833;

.floating-label-wrap {
    max-width: 75%;
}


/* Hide the browser-specific focus styles */
.floating-label-field {
    color: #000;
    border-width: 0;
    z-index: 2000;
}

.floating-label-field:focus {
    outline: 0;
    box-shadow: 0;
}

.floating-label-field::placeholder {
    color: #000;
    font-family: "Roobert-SemiBold";
}

/* Make the label and field look identical on every browser */
.floating-label,
.floating-label-field {
    font: inherit;
    line-height: 1;
    display: block;
    width: 100%;
}

.floating-label {
    position: absolute;
    top: 0;
    left: 0;
    user-select: none;
    z-index: 1500;
    font-family: "Roobert-SemiBold";
    font-size: calc(@floating-input-font-size / 3);
}

.floating-label-field,
.floating-label-wrap {
    position: relative;
    margin-bottom: 0.5vw;
    color: #000;
}


.floating-label-field--s3 {

    font-family: "Roobert-SemiBold";
    font-size: @floating-input-font-size;
    line-height: 1em;
    padding: calc(@floating-input-font-size / 3) 0;
    border-bottom: 1px solid #000;
    border-radius: 0;
    box-shadow: 0 none;
    background-color: transparent;

    line-height: 0.5em;
    margin-top: 0.25em;
    position: relative;

}

.floating-label-field--s3+.floating-label {
    position: absolute;
    top: 1vw;
    left: 0;
    display: inline-block;
    width: auto;
    margin: 0;
    padding: 0;
    transition: all 0.25s ease-in-out;
    transform-origin: 0 0;
    font-size: @floating-input-font-size;
}

.floating-label-field--s3:focus,
.floating-label-field--s3:not(:placeholder-shown) {}

.floating-label-field--s3:focus+.floating-label,
.floating-label-field--s3:not(:placeholder-shown)+.floating-label {
    z-index: 2500;
    transform: translate(0, -1vw) scale(0.9);
    color: #000;
    font-size: calc(@floating-input-font-size / 3);
}

textarea.floating-label-field--s3 {
    font-size: 2vw;
    line-height: 1.2;
    resize: none;
    transition: all 0.4s;
    padding: 1vw 0 0 0;
    max-height: 2em;
}

.too-big-to-fit {

    textarea.floating-label-field--s3 {
        max-height: 3em;
    }

    textarea.floating-label-field--s3:focus+.floating-label {

        max-height: calc(@floating-smaller-font-size * 1.2 * 4);
        height: calc(@floating-smaller-font-size * 1.2 * 4);
    }

    .floating-label-field--s3+.floating-label {
        font-size: @floating-smaller-font-size;
    }

    .floating-label-field--s3:focus+.floating-label,
    .floating-label-field--s3:not(:placeholder-shown)+.floating-label {
        font-size: @floating-input-font-size / 2.4;
        transform: translate(0, @floating-input-font-size / -0.625) scale(0.9);
    }
}


/* Common Styles */
/* Identical inputs on all browsers */
//   .floating-label-field--s1:not(textarea),
//   .floating-label-field--s2:not(textarea),
//   .floating-label-field--s3:not(textarea) {
//     max-height: 4em;
//   }

//   .floating-label-field--s1,
//   .floating-label-field--s1 + .floating-label,
//   .floating-label-field--s2,
//   .floating-label-field--s2 + .floating-label {
//     padding: 1.5em;
//   }

//   .floating-label-field--s1 + .floating-label,
//   .floating-label-field--s2 + .floating-label {
//     z-index: 1500;
//   }

.floating-label-field--s1::placeholder,
.floating-label-field--s3::placeholder {
    color: transparent;
}

.error-container {

    &.invalid {
        .floating-label {
            color: @errorColor  !important;
        }

        input,
        textarea {
            border-bottom: 1px solid @errorColor  !important;
        }

        .form-input {
            input {
                color: @errorColor  !important;

                @include placeholder {
                    opacity: 1 !important;
                    color: @errorColor  !important;
                }
            }


        }
    }
}


.hire-and-contact {


    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0;
    //
    background-color: #000;
    // padding: 10vw 0 10vw;
    transition: background-color 0.7s, color 0.7s;


    .get-in-touch {

        display: flex;
        justify-content: center;
        align-items: center;
        padding: 15vw 0;
        flex: 1;
        background-color: #000;
        cursor: pointer;

        .link-with-underline {
            letter-spacing: -0.25px;
            font-size: 3vw;

            .link-text {
                color: #fff;
                display: block;
                line-height: 1;
            }

            .underline {
                background-color: #fff;
                top: 1.2em;
            }


        }

        &:hover,
        &.hover {

            background-color: #fff;

            .link-with-underline {

                .link-text {
                    color: #000;
                    transform: translateY(-0.3em);
                    transition: transform 0.2s ease-in;
                }

                .underline {
                    background-color: #000;
                    width: 100%;
                    transition: width 0.2s 0.3s, color 0.7s;
                }
            }
        }
    }


}


.absolute-drawer-body {
    position: absolute;
}

.squared-image-wrapper {

    &,
    &.apos-area-widget-wrapper {
        &.quarter {
            width: .calc-vw(0.25)[@return];
            height: .calc-vw(0.25)[@return];
        }
    }

    &,
    &.apos-area-widget-wrapper {
        &.half {
            width: .calc-vw(0.5)[@return];
            height: .calc-vw(0.5)[@return];
        }
    }

    img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
}


.animated-partners-logos {

    display: flex;
    flex-flow: row wrap;
    .squaredLogosStyling();
}

/* Customize the label (the container) */
.custom-checkbox,
.custom-radio {

    @checkbox-font-size: @hire-us-font-size;

    display: block;
    position: relative;
    font-size: @checkbox-font-size;
    padding-left: calc(@checkbox-font-size * 1);
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;

    /* Hide the browser's default checkbox */
    input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
        height: 0;
        width: 0;
    }

    /* Create a custom checkbox */
    .cmark {
        position: absolute;
        top: -0.2em;
        left: 0;
        background-color: transparent;

        font-size: @checkbox-font-size;
        width: 0;
        height: 0;
    }

    .ctext {
        color: #777777;

        &:hover {
            color: #000;
            transition: color 0.2s;
        }
    }

    /* Style the checkmark/indicator */
    .cmark:after {
        left: 9px;
        top: 5px;
        width: 5px;
        height: 10px;
        border: solid #000;
        border-width: 0 3px 3px 0;
        -webkit-transform: rotate(45deg);
        -ms-transform: rotate(45deg);
        transform: rotate(45deg);

        .scaledCheckMark(0.75);
    }

    /* On mouse-over, add a grey background color */
    &:hover input~.cmark {
        // background-color: #ccc;
        background-color: transparent;
    }

    /* When the checkbox is checked, add a blue background */
    input:checked~.cmark {
        background-color: transparent;
    }

    input:checked~.ctext {
        color: #000;
    }

    /* Create the checkmark/indicator (hidden when not checked) */
    .cmark:after {
        content: "";
        position: absolute;
        display: none;
    }

    /* Show the checkmark when checked */
    input:checked~.cmark:after {
        display: block;
    }
}


.custom-radio {}

.full-screen-paged-popup {
    width: .calc-vw(1)[@return];
    height: 100vh;
    z-index: 50;
    position: fixed;
    top: 0;
    left: @nav-width;
    background: #fff;
    transform: translateX(100vw);

    &.visible {
        transform: translateX(0);
    }

    /* slide animation */
    &:not(.slide) {}

    &.slide {
        transition: transform 0.5s;
    }

    &.visible.slide {
        transform: translateX(0);
    }

    .popup-page {
        width: 100%;
        height: 100%;
        position: absolute;
        padding: 4vw 4vw 0 4vw;

        visibility: hidden;
        opacity: 0;

        &.current {
            visibility: visible;
            opacity: 1;
        }

        &.slide-out,
        &.slide-int {
            translate: transform 0.5s;
        }

        &.slide-out {}

        &.slide-int {}
    }

    .popup-page-split {
        display: flex;
        position: relative;
        height: 100%;

        .popup-page-side {
            height: calc(100% - 4vw);
            display: flex;
            flex-direction: column;

            &--left {
                width: .calc-vw(0.45)[@return];
            }

            &--right {
                width: .calc-vw(0.55)[@return];

                &.pushed-right {
                    padding-left: 2.4vw;
                }
            }

            &.space-between {
                justify-content: space-between;
            }
        }
    }


    .hire-us-title {
        font-size: 2.7vw;
        color: #000;
        font-family: "Roobert-SemiBold";
    }

    .hire-us-subtitle {
        font-size: 1.4vw;
        color: #777777;
    }

    .type-of-work-wanted {
        height: 100%;
        width: calc(100% - 3vw);
        max-height: calc(100vh - 10.2vw);
        overflow-y: auto;

        ul {
            margin: 0;
            padding: 0;
            list-style: none;
            font-size: @hire-us-font-size;
            line-height: 1.4;

            font-family: "Roobert-SemiBold";
            // font-family: "Roobert-Medium";

            li {
                position: relative;

                input {}
            }
        }
    }

    .popup-page-button {
        background: #000;
        color: #fff;
        font-size: 1.4vw;
        line-height: 1;
        display: flex;
        padding: 2vw 3vw;
        justify-content: space-between;
        width: calc(50% * 0.66);
        align-items: center;
        position: fixed;
        bottom: 0;
        width: .calc-vw(0.45 * 0.75)[@return];
        left: .calc-vw(0.45)[@return];
        margin-left: calc(4vw + @hire-us-font-size);
        cursor: pointer;

        &.something-else {
            left: .calc-vw(0.4)[@return];
            width: .calc-vw(0.55 * 0.75)[@return];
        }

        .button-text {}

        .button-arrow-right {
            height: 2vw;
            width: auto;
        }
    }

    .popup-page-close {
        position: fixed;
        top: 0.5vw;
        right: 0.5vw;
        cursor: pointer;

        &,
        img {
            width: 4vw;
            height: 4vw;
        }
    }

    .contact-form-input {
        position: relative;

        label {
            position: absolute;
            top: 0;
            bottom: 0;
            left: 0;
            width: 100%;
            transition: 0.2s;
        }

        label,
        input[type="text"] {
            font-size: 2.4vw;
        }

        /* do stuff with label */
        input:focus+label {
            font-size: 1.2vw;
            transform: translateY(-1.4vw);
        }

        input:valid {
            border: 1px solid red;
        }
    }

    // POPUP
    .thank-you-message {

        width: 85%;
        font-size: 2.4vw;
        line-height: 1.4;
        .fontBolder();
        color: #000;

        a {
            color: #000 !important;
            text-decoration: udnerline #000;
        }
    }

}

#contact-us-popup-page {
    .popup-page-button {
        left: .calc-vw(0.4)[@return];
        width: .calc-vw(0.36)[@return];
        margin-left: 9vw;
    }
}


@media screen and (max-width: 800px) {


    .side-nav .page-container {
        margin-left: inherit;
        width: 100vw;
    }

    .container {
        width: 100%;
        width: 100vw;

        .container {
            width: 100%;
        }
    }


    .menu-v2 {

        @menuPagesHeight: 65vh;
        @menuContactHeight: 35vh;

        &.menu-expanded {
            .navigation {}

            .menu-pages {
                transform: translateY(0%);
            }

            .menu-contact {
                transform: translateY(0%);
            }
        }

        .navigation {

            width: 100vw;
            height: @nav-mobile-height;
            flex-direction: row;

            .eq-height {
                height: 100%;
                width: 50%;
            }

            .nav-logo {
                .logo {
                    position: relative;
                    top: inherit;
                    left: inherit;
                    display: flex;
                    justify-content: center;
                    align-items: center;

                    .logo-desktop {
                        display: none;
                    }

                    .logo-mobile {
                        display: block;
                        margin-left: 5vw;
                    }
                }
            }

            .nav-burger {
                justify-content: flex-end;

                .burger {
                    margin-right: 5vw;
                }
            }

            .nav-email {
                display: none;
            }

        }

        .menu-pages {
            top: @nav-mobile-height;
            left: 0;
            transform: translateY(-100%);
            transition: transform .7s;

            &,
            .menu-pages-inner {
                height: calc(@menuPagesHeight - @nav-mobile-height);
                height: calc(var(--vh, 1vh) * 65 - @nav-mobile-height);
                width: 100vw;
            }

            .menu-pages-inner {
                padding-left: 5vw;
                padding-top: 5vw;
                align-items: flex-start;

                .link-with-underline:not(.submenu-link ) {
                    margin-bottom: 1.8vh;
                    &, .link-text{
                        font-size: 11vw;
                    }
                }

                .link-with-underline.submenu-link{
                    line-height: 2;

                    &,
                    .link-text{
                        font-size: 4vw;
                    }
                    
                    
                }
                
            }

            .link-with-underline{
                .plus-and-minus{
                    margin-top: 0.2em;
                    left: 5px;
                    width: 20px;
                    height: 20px;
                    .horizontal{
                        width: 20px;
                        height: 4px;
                        margin-left: -10px;
                        margin-top: -2px;
                    }
                    .vertical{
                        height: 20px;
                        width: 4px;
                        margin-top: -10px;
                        margin-left: -2px;
                    }
                }
            }
        }

        .menu-contact {
            top: @menuPagesHeight;
            top: calc(var(--vh, 1vh) * 65);

            right: inherit;
            left: 0;
            height: @menuContactHeight;
            height: calc(var(--vh, 1vh) * 35);

            width: 100vw;
            transform: translateY(100%);
            transition: transform 0.7s;

            .stay-updated {
                min-height: inherit;
                height: @menuContactHeight;
                height: calc(var(--vh, 1vh) * 35);
                width: 100%;
                padding: 3vh 5vw;

                &.show-thank-you {
                    .thank-you-message {}

                    .space {
                        display: block;
                    }
                }

                .thank-you-message {
                    font-size: 4vw;
                }
            }

            .su-title {
                font-size: 6.5vw;
                width: 100%;
                margin-bottom: 3vh;
            }


            .space {
                display: none;
            }

            .form-input {
                &:not(:last-of-type) {
                    margin-bottom: 2vh;
                }

                input,
                button {
                    font-size: 4vw;
                }
            }
        }



    }


    .hire-and-contact {


        flex-direction: column;

        .get-in-touch {


            padding: 20vw 0;
            width: 100vw;

            .link-with-underline {
                .link-text {
                    font-size: 6vw;
                }

                .underline {
                    top: 2.2em;
                    height: 0.25em;
                }
            }
        }
    }


    .full-screen-paged-popup {
        z-index: 9999;
        width: 100vw;
        height: 100vh;
        height: calc(var(--vh, 1vh) * 100);
        top: 0;
        left: 0;

        .popup-page {
            width: calc(100% - 40px);
        }

        .popup-page-split {
            flex-direction: column;
            margin-top: 5vw;
            width: 100%;

            .popup-page-side {
                height: auto;

                &--left {
                    width: 100%;
                    margin-bottom: 7vh;
                }

                &--right {
                    width: 100%;
                }
            }

            .popup-page-side--right.pushed-right {
                padding-left: 0;
            }
        }

        .hire-us-title {
            font-size: 10vw;
        }

        .hire-us-subtitle {
            font-size: 4vw;
        }

        .popup-page-button {
            position: fixed;
            bottom: 0;
            top: inherit;
            right: inherit;
            left: 0;
            width: 100%;
            margin-left: 0;
            box-sizing: border-box;
            font-size: 4.4vw;
            padding: 4vw 6vw;
            z-index: 9999;

            .button-arrow-right {
                height: 4vw;
            }
        }

        .popup-page-close {
            top: 0;
            right: 10vw;

            img {
                width: 12vw;
                height: 12vw;
                right: 2vw;
            }
        }

        // popup
        .thank-you-message {
            font-size: 5vw;
            padding: 0;
            width: 100%;
        }

    }

    .custom-checkbox,
    .custom-radio {
        font-size: 5vw;
        padding-left: 5vw;

        .cmark:after {
            width: calc(0.25em * 1.75);
            height: calc(0.5em * 1.75);
            border-width: 0 calc(0.09em * 2.75) calc(0.09em * 2.75) 0;
            left: calc(0.25em * 0.75);
            top: calc(1em * 1.2);
        }
    }

    .floating-label-field--s3+.floating-label {
        font-size: 7vw;
    }

    .floating-label-field--s3 {
        font-size: 8vw;
    }

    .floating-label-wrap {
        max-width: 100%;
    }

    .floating-label-field--s3:focus+.floating-label,
    .floating-label-field--s3:not(:placeholder-shown)+.floating-label {
        font-size: 3vw;
    }

    .floating-label-field,
    .floating-label-wrap {
        margin-bottom: 3vw;
    }

    textarea.floating-label-field--s3 {
        font-size: 6vw;
        line-height: 1;
        padding: 3vw 0 0 0;
        max-height: 2em;
    }

    .too-big-to-fit .floating-label-field--s3+.floating-label {
        font-size: 4vw;
    }

    .too-big-to-fit .floating-label-field--s3:focus+.floating-label,
    .too-big-to-fit .floating-label-field--s3:not(:placeholder-shown)+.floating-label {
        font-size: 3vw;
        transform: translate(0, -1em) scale(0.9);
    }

    // .footer .footer-links .push-right .apos-area, 
    // .footer .footer-links .push-right .apos-area-widgets
    .footer {

        flex-direction: column;

        .footer-left,
        .footer-right {
            width: 100%;
        }

        .footer-right {
            margin-top: 8vw;
            margin-bottom: 4vw;
        }

        .footer-links {
            .push-right {
                .apos-area,
                .apos-area-widgets{
                    align-items: flex-start;
                }
            }

            a, .link-with-underline {
                font-size: 2.9vw;
            }
        }

        .footer-logo {
            width: 25vw;
            margin-top: 3vw;
            margin-bottom: 8vw;
        }

        .company-info {
            font-size: 2.9vw;

            .apos-ui .apos-buttons {
                top: inherit;
                bottom: 1em;
            }
        }

        .subscribe {

            width: 100%;
            justify-content: flex-start;
            
            form{
                width: 100%;
            }

            .mobile-width-100{
                width: 100%;
                padding-right: 4vw;
            }
           

            .subscriber-email {
                font-size: 2.9vw;
                min-width: inherit;
                width: 100%;
            }

            .subscribe-button {
                font-size: 2.9vw;
                padding: 2vw 5vw;
            }

            .email {
                a {
                    font-size: 2.9vw;
                    display: block;
                    text-align: center;
                    margin-top: 20vw;
                    margin-bottom: 10vw;
                }
            }

          
        }
    }

}

@media screen and (max-width: 375px) {

    .menu-v2 {
        .menu-pages {
            &,
            .menu-pages-inner {
                height: calc(60vh - @nav-mobile-height);
                height: calc(var(--vh, 1vh) * 60 - @nav-mobile-height);
            }

        }

        .menu-contact {
            top: 60vh;
            top: calc(var(--vh, 1vh) * 60);

            height: 40vh;
            height: calc(var(--vh, 1vh) * 40);

            .stay-updated {
                height: 40vh;
                height: calc(var(--vh, 1vh) * 40);
            }
        }
    }

}

// do not hide things in admin panel
body:not(.disable-reveals) .appear{

    opacity: 0;

    @keyframes appear{
        from{
            opacity: 0;
            transform: transalteY(-10px);
        }
        to{
            opacity: 1;
            transform: translateY(0px);
        }
    }

    &.run{
        animation: appear .5s ease-in forwards;
    }

    &.appear-fast{
        &.run{
            opacity: 1;
            transition: opacity 0.5s;
            animation: none;
        }
    }

    &.appear-bottom{
        transition: .7s all;
        transform: translateY(1em);
        opacity: 0;
        &.run{
            opacity: 1;
            transform: translateY(0);
            animation: none;
        }
    }

    &.appear-ground{
        overflow: hidden;
        opacity: 1;
        p{
            transition: .7s all;
            opacity: 0;
            transform: translateY(2em);
        }
        &.run{
            animation: none;
            p{
                opacity: 1;
                transform: translateY(0);
            }
        }
    }

}

.visible-on-desktop{
    display: none;
}
.visible-on-mobile{
    display: none;
}
@media screen and (min-width: 801px){
    .visible-on-desktop{
        display: initial;
    }
}
@media screen and (max-width: 800px){
    .visible-on-mobile{
        display: initial;
    }
}



.apos-area.apos-empty{
    height: 250px;
}

.apos-modal{
    .appear{
        opacity: 1 !important;
        transition: none !important;
        animation: none !important;
    }
}


@media screen and (min-width: 800px) {

    @aspectRatioFontSize : calc(var(--fixed-ratio) * 2.4vw);
    @smallerASRF : calc(var(--fixed-ratio) * 2.4vw * 0.833);
    @oneThirdARFS : calc(var(--fixed-ratio) * 2.4vw / 3);
    @oneTwoAndFourthARFS : calc(var(--fixed-ratio) * 1vw);
    @quadPlusLineHeightARFS : calc(var(--fixed-ratio) * 2.4vw * 1.2 * 4);
    @oneViewWidth : calc(var(--fixed-ratio) * 2.4vw / 2.4);
    @custom1ARFS : calc(var(--fixed-ratio) * 2.4vw / -0.625);
    @textareaLabelRiseUp : calc(var(--fixed-ratio) * 2.4vw * -0.3);

    .floating-label {
        font-size: @oneThirdARFS;
    }

    .floating-label-field--s3 {
        font-size: @aspectRatioFontSize;
        padding: @oneThirdARFS 0;
    }

    .floating-label-field--s3+.floating-label {
        font-size: @aspectRatioFontSize;
    }

    .floating-label-field--s3 {
        font-size: calc(@aspectRatioFontSize);
    }

    .floating-label-field--s3:focus+.floating-label,
    .floating-label-field--s3:not(:placeholder-shown)+.floating-label {
        font-size: @oneThirdARFS;
    }

    .too-big-to-fit {

        textarea.floating-label-field--s3:focus+.floating-label {

            max-height: @quadPlusLineHeightARFS;
            height: @quadPlusLineHeightARFS;
        }

        .floating-label-field--s3+.floating-label {
            font-size: @smallerASRF;
        }

        .floating-label-field--s3:focus+.floating-label,
        .floating-label-field--s3:not(:placeholder-shown)+.floating-label {
            font-size: @oneViewWidth;
            transform: translate(0, @textareaLabelRiseUp) scale(0.9);
        }
    }

    .floating-label-field,
    .floating-label-wrap {
        margin-bottom: 0.2em;
    }

    textarea.floating-label-field--s3 {
        font-size: @smallerASRF;
        padding-top: @oneViewWidth;
    }

    .custom-checkbox,
    .custom-radio {
        font-size: @aspectRatioFontSize;
        padding-left: @aspectRatioFontSize;
    }

    .custom-checkbox .cmark,
    .custom-radio .cmark {
        font-size: @aspectRatioFontSize;
    }
}

@media screen and (max-width: 375px) {

    @floating-input-font-size: 4vw;
    @floating-smaller-font-size: @floating-input-font-size * 0.833;

    .floating-label {
        font-size: calc(@floating-input-font-size * 0.7);
    }
    .floating-label-field--s3 {
        font-size: @floating-input-font-size;
        padding: calc(@floating-input-font-size * 0.7) 0;    
    }
    .floating-label-field--s3+.floating-label {
        font-size: @floating-input-font-size;
    }
    .floating-label-field--s3:focus+.floating-label,
    .floating-label-field--s3:not(:placeholder-shown)+.floating-label {
        font-size: calc(@floating-input-font-size * 0.7);
    }

    .too-big-to-fit {

        textarea.floating-label-field--s3:focus+.floating-label {
            max-height: calc(@floating-smaller-font-size * 1.2 * 4);
            height: calc(@floating-smaller-font-size * 1.2 * 4);
        }
    
        .floating-label-field--s3+.floating-label {
            font-size: @floating-smaller-font-size;
        }
    
        .floating-label-field--s3:focus+.floating-label,
        .floating-label-field--s3:not(:placeholder-shown)+.floating-label {
            font-size: @floating-input-font-size * 0.55;
            transform: translate(0, @floating-input-font-size * -0.6);
        }
        .too-big-to-fit textarea.floating-label-field--s3 {
            max-height: 2em;
        }
    }

    .floating-label-field, .floating-label-wrap{
        margin-bottom: 2vw;
    }

}